{% extends 'base.html' %}
{% load crispy_forms_tags %}

{% block content %}
<div class="container my-5">
    <div class="h3-responsive my-4">Update Contribution</div>
    <div class="my-4">
        {% if form %}
        <form method="post">
            {% csrf_token %}
            <div class='mb-3'>
                <label for="Staff" class="disabled">Staff ID</label>
                <input type="text" id="staff" class="form-control" placeholder="{{ staff }}" disabled>
            </div>
            {{ form|crispy }}
            <button type="submit" class="btn btn-primary"><i class="fas fa-pen fa-1x mr-1"> </i> Update Contribution</button>
        </form>
        {% else %}
            <p class="note note-danger"><strong>Error: </strong>The staff/contribution does not exist.</p>
        {% endif %}
    </div>
</div>
{% endblock %}